TemplateArray< T > class Reference

Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Array< T > Class Template Reference

Class used to ensure correct deallocation of arrays. More...

`#include <gnDefs.h>`

List of all members.

## Public Member Functions
| Array (uint64 bufsize)
| Allocate a new array of length "bufsize".
| ~Array ()
## Public Attributes
T * | data
| The actual array.
## Private Member Functions
| Array (const Array &a)
Array & | operator= (const Array &a)
| Array ()

## Detailed Description

### template<class T>
class Array< T >

Class used to ensure correct deallocation of arrays.

Definition at line 152 of file gnDefs.h.

## Constructor & Destructor Documentation

template<class T>
Array< T >::Array | ( | uint64 | bufsize | ) | `[inline]`

| Allocate a new array of length "bufsize". The array can be accessed through the data member Definition at line 157 of file gnDefs.h. References Array< T >::data.

template<class T>
Array< T >::~Array | ( |  | ) | `[inline]`

| Definition at line 160 of file gnDefs.h. References Array< T >::data.

template<class T>
Array< T >::Array | ( | const Array< T > & | a | ) | `[private]`

template<class T>
Array< T >::Array | ( |  | ) | `[inline, private]`

| Definition at line 169 of file gnDefs.h.

## Member Function Documentation

template<class T>
Array& Array< T >::operator= | ( | const Array< T > & | a | ) | `[private]`

## Member Data Documentation

template<class T>
T* Array< T >::data

| The actual array. Definition at line 165 of file gnDefs.h. Referenced by Array< T >::Array(), gnFilter::Filter(), gnSourceHeader::GetHeader(), gnSourceQualifier::GetValue(), gnRAWSource::ParseStream(), gnGBKSource::ParseStream(), gnFASSource::ParseStream(), gnDNXSource::ParseStream(), gnGBKSource::SeqRead(), gnFASSource::SeqRead(), gnGBKSource::SeqStartPos(), gnFASSource::SeqStartPos(), gnSequence::ToString(), gnGBKSource::Write(), gnFASSource::Write(), and Array< T >::~Array().

The documentation for this class was generated from the following file:

- gnDefs.h